package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.LeaveMessage;
import com.lightinit.hsdataplatform.entity.LeaveMessageExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.LeaveMessageDetailModel;
import com.lightinit.hsdataplatform.model.admin.LeaveMessageListModel;
import com.lightinit.hsdataplatform.model.admin.LeaveMessageSearchModel;
import org.apache.ibatis.annotations.Param;

public interface LeaveMessageMapper {
    long countByExample(LeaveMessageExample example);

    int deleteByExample(LeaveMessageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(LeaveMessage record);

    int insertSelective(LeaveMessage record);

    List<LeaveMessage> selectByExampleWithBLOBs(LeaveMessageExample example);

    List<LeaveMessage> selectByExample(LeaveMessageExample example);

    LeaveMessage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") LeaveMessage record, @Param("example") LeaveMessageExample example);

    int updateByExampleWithBLOBs(@Param("record") LeaveMessage record, @Param("example") LeaveMessageExample example);

    int updateByExample(@Param("record") LeaveMessage record, @Param("example") LeaveMessageExample example);

    int updateByPrimaryKeySelective(LeaveMessage record);

    int updateByPrimaryKeyWithBLOBs(LeaveMessage record);

    int updateByPrimaryKey(LeaveMessage record);

    List<LeaveMessageListModel> getList(LeaveMessageSearchModel inputModel);

    long getListCount(LeaveMessageSearchModel inputModel);

    LeaveMessageDetailModel getDetail(@Param("id")Long id);
}